Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.toolbox
Class Toolbox.Console

    java.lang.Object
      com.lowagie.toolbox.Toolbox.Console

Enclosing class:
  Toolbox

    public class Toolbox.Console

extends Object

A Class that redirects output to System.out and System.err.

Nested Class Summary
`(package private) class` | `Toolbox.Console.ErrorContext`
`(package private) class` | `Toolbox.Console.ReaderThread`

Field Summary
`(package private) Toolbox.Console.ErrorContext` | `errorcontext`
`(package private) PrintStream` | `orierr`
`(package private) PrintStream` | `oriout`
`(package private) PipedInputStream` | `piErr`
`(package private) PipedInputStream` | `piOut`
`(package private) PipedOutputStream` | `poErr`
`(package private) PipedOutputStream` | `poOut`
`(package private) JTextPane` | `textArea`

Constructor Summary
`Toolbox.Console()` Creates a new Console object.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### piOut

    PipedInputStream piOut

### piErr

    PipedInputStream piErr

### poOut

    PipedOutputStream poOut

### poErr

    PipedOutputStream poErr

### errorcontext

    Toolbox.Console.ErrorContext errorcontext

### textArea

    JTextPane textArea

### oriout

    PrintStream oriout

### orierr

    PrintStream orierr

Constructor Detail

### Toolbox.Console

    public Toolbox.Console()
                    throws IOException

  Creates a new Console object.

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD